import * as React from 'react';
import { Button, Spinner } from '@patternfly/react-core';
import { useFormikContext } from 'formik';

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

const _excluded = ["text"];
const SubmitButton = _ref => {
  let {
    text
  } = _ref,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  const {
    isSubmitting
  } = useFormikContext();
  return React.createElement(Button, Object.assign({
    type: 'submit',
    variant: 'primary'
  }, props), isSubmitting ? React.createElement(Spinner, {
    reversed: true
  }) : text);
};

export { SubmitButton };
